@echo off
setlocal

CALL "%~dp0setupCmdLine.bat" %*

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

set CMD_NAME=%~nx0
set CMD_NAME_ONLY=%~n0
goto loop

:loop
if '%1'=='-javaoption' goto javaoption
if '%1'=='' goto runcmd
goto nonjavaoption

:javaoption
shift
set javaoption=%javaoption% %1
goto again

:nonjavaoption
set nonjavaoption=%nonjavaoption% %1

:again
shift
goto loop

:runcmd
set CLASSPATH=%WAS_CLASSPATH%
set PERFJAVAOPTION=-Xms256m -Xmx512m -Xj9 -Xquickstart
@echo off

@REM set WAS_MIGR_DEBUG_PRE=-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8888

@REM Continue to pass through %* into the java invocation rather than %nonjavaoption%
@REM to preserve the handling of special characters. Otherwise many will be replaced
@REM with a space character.
"%JAVA_HOME%\bin\java" ^
  %WAS_MIGR_DEBUG_PRE% ^
  -Djava.endorsed.dirs="%WAS_ENDORSED_DIRS%" ^
  -Djava.ext.dirs="%WAS_JAVA_EXT_DIRS%" ^
  -Dws.ext.dirs="%WAS_EXT_DIRS%" ^
  %PERFJAVAOPTION% ^
  %WAS_LOGGING% ^
  %javaoption% ^
  %CONSOLE_ENCODING% ^
  -Dwas.install.root="%WAS_HOME%" ^
  -Dcom.ibm.ws.migration.javaoptions="%javaoption%" ^
  com.ibm.wsspi.bootstrap.WSPreLauncher -nosplash -clean ^
  -application com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.migration.WASPreUpgrade %*
set RC=%ERRORLEVEL%


@REM Need to pass the RC through the endlocal
endlocal & exit /b %RC%

GOTO :EOF
